samtec_firefly1_0x50 = """
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f    0123456789abcdef
00: 00 11 02 00 00 00 81 0f ff 00 00 00 00 00 00 00    .??...??........
10: 00 c0 40 00 0f ff 2b c3 00 00 80 b6 00 00 00 00    .?@.?.+?..??....
20: 00 00 00 00 00 00 00 b4 00 00 00 00 00 00 00 00    .......?........
30: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
40: 00 00 00 00 00 00 00 00 00 00 0f ff 00 00 00 00    ..........?.....
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
70: 12 06 06 00 00 00 00 00 00 00 00 00 00 00 00 00    ???.............
80: 00 00 00 00 46 00 00 00 00 00 00 00 00 00 00 00    ....F...........
90: 00 00 00 00 00 00 00 00 53 41 4d 54 45 43 20 20    ........SAMTEC  
a0: 20 20 00 00 00 00 00 00 00 00 00 45 43 55 4f 54      .........ECUOT
b0: 31 32 32 35 31 30 30 30 35 31 33 00 00 55 41 32    12251000513..UA2
c0: 31 31 32 30 35 51 55 00 00 00 00 00 00 00 00 00    11205QU.........
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
"""


samtec_firefly1_0x54 = """
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f    0123456789abcdef
00: 00 11 02 00 00 00 47 0f ff 00 00 00 00 00 55 55    .??...G?......UU
10: 55 40 40 00 0f ff 2d 75 00 00 80 e6 00 00 00 00    U@@.?.-u..??....
20: 00 00 00 00 00 00 00 9c 00 00 00 00 00 00 00 00    .......?........
30: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 44 44    ..............DD
40: 44 44 44 44 22 22 22 22 22 22 0f ff 00 00 00 00    DDDD""""""?.....
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
70: 13 0a 01 00 00 00 00 00 00 00 00 00 00 00 00 00    ???.............
80: 00 00 00 00 46 00 00 00 00 00 00 00 00 00 00 00    ....F...........
90: 00 00 00 00 00 00 00 00 53 41 4d 54 45 43 20 20    ........SAMTEC  
a0: 20 20 00 00 00 00 00 00 00 00 00 45 43 55 4f 52      .........ECUOR
b0: 31 32 32 35 31 30 30 30 35 31 33 00 00 55 41 32    12251000513..UA2
c0: 31 33 36 30 31 32 4d 00 00 00 00 00 00 00 00 00    136012M.........
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
"""


samtec_firefly2_0x50 = """
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f    0123456789abcdef
00: 00 11 02 00 00 00 81 0f ff 00 00 00 00 00 00 00    .??...??........
10: 00 c0 40 00 0f ff 33 95 00 00 81 17 00 00 00 00    .?@.?.3?..??....
20: 00 00 00 00 00 00 00 d0 00 00 00 00 00 00 00 00    .......?........
30: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
40: 00 00 00 00 00 00 00 00 00 00 0f ff 00 00 00 00    ..........?.....
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
70: 12 06 06 00 00 00 00 00 00 00 00 00 00 00 00 00    ???.............
80: 00 00 00 00 46 00 00 00 00 00 00 00 00 00 00 00    ....F...........
90: 00 00 00 00 00 00 00 00 53 41 4d 54 45 43 20 20    ........SAMTEC  
a0: 20 20 00 00 00 00 00 00 00 00 00 45 43 55 4f 54      .........ECUOT
b0: 31 32 32 35 31 30 30 30 35 31 33 00 00 55 41 32    12251000513..UA2
c0: 32 30 36 30 30 55 58 00 00 00 00 00 00 00 00 00    20600UX.........
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
"""

samtec_firefly2_0x54 = """
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f    0123456789abcdef
00: 00 11 02 00 00 00 47 0f ff 00 00 00 00 00 55 55    .??...G?......UU
10: 55 40 40 00 0f ff 27 71 00 00 81 17 00 00 00 00    U@@.?.'q..??....
20: 00 00 00 00 00 00 00 c2 00 00 00 00 00 00 00 00    .......?........
30: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 44 44    ..............DD
40: 44 44 44 44 22 22 22 22 22 22 0f ff 00 00 00 00    DDDD""""""?.....
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
70: 13 0a 01 00 00 00 00 00 00 00 00 00 00 00 00 00    ???.............
80: 00 00 00 00 46 00 00 00 00 00 00 00 00 00 00 00    ....F...........
90: 00 00 00 00 00 00 00 00 53 41 4d 54 45 43 20 20    ........SAMTEC  
a0: 20 20 00 00 00 00 00 00 00 00 00 45 43 55 4f 52      .........ECUOR
b0: 31 32 32 35 31 30 30 30 35 31 33 00 00 55 41 32    12251000513..UA2
c0: 31 33 36 30 31 34 45 00 00 00 00 00 00 00 00 00    136014E.........
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
"""

samtec_firefly3_0x50 = """
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f    0123456789abcdef
00: 81 00 00 ff 00 ff 01 00 00 55 55 00 00 00 00 00    ?.....?..UU.....
10: 00 00 00 00 93 00 2d 00 00 00 81 06 45 b4 00 00    ....?.-...??E?..
20: 00 00 00 14 00 1e 00 00 00 5a 00 00 00 00 00 00    ...?.?...Z......
30: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
40: 00 00 9e 00 02 00 0f 08 06 ff 00 be be ee e9 3f    ..?.?.???..?????
50: 02 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ?...............
60: 00 00 ff 00 00 00 00 00 00 ff 00 00 00 00 00 00    ................
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
80: 81 40 80 15 00 00 00 40 40 06 e0 00 fa 00 00 32    ?@??...@@??.?..2
90: 00 00 32 00 53 61 6d 74 65 63 20 49 6e 63 20 20    ..2.Samtec Inc  
a0: 20 20 20 20 0f 04 c8 80 4f 54 50 2d 32 30 30 39        ????OTP-2009
b0: 34 31 2d 30 31 20 20 20 30 20 42 68 07 d0 00 db    41-01   0 Bh??.?
c0: 00 03 0f 9a 55 41 31 39 30 32 30 30 4b 33 20 20    .???UA190200K3  
d0: 20 20 20 20 31 39 30 35 20 20 30 30 0c 00 00 27        1905  00?..'
e0: ff 00 ff ff ff ff ff ff 09 ff ff ff ff ff ff ff    ........?.......
f0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff c2 00    ..............?.
"""

adm1066_0x34 = """
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f    0123456789abcdef
00: 2c 00 1d 00 0d 01 00 1e 2c 00 1d 00 0d 01 00 1e    ,.?.??.?,.?.??.?
10: 57 00 49 00 0d 01 00 1e be 00 a8 00 0d 01 00 1e    W.I.??.??.?.??.?
20: c5 08 a7 00 0c 01 00 1e b6 00 b6 00 00 01 01 1e    ???.??.??.?..???
30: 4f 00 38 00 15 00 00 1e 6b 00 58 00 0d 00 00 1e    O.8.?..?k.X.?..?
40: d7 00 be 00 15 00 00 00 d7 00 b7 00 0d 00 00 00    ?.?.?...?.?.?...
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
90: 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ?...............
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
e0: 00 00 20 00 00 00 00 00 01 0a 00 00 00 00 00 00    .. .....??......
f0: 00 00 00 00 41 02 00 00 00 00 00 00 00 20 XX XX    ....A?....... XX
"""

adm1066_0x35 = """
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f    0123456789abcdef
00: 3e 00 2c 00 00 00 00 1e 62 00 5b 00 00 00 00 1e    >.,....?b.[....?
10: 00 00 00 00 00 00 00 1e bd 00 00 00 00 00 00 1e    .......??......?
20: c5 0e 98 00 0c 01 00 1e 00 00 00 00 00 01 02 00    ???.??.?.....??.
30: 00 00 00 00 00 01 03 00 11 00 00 00 0d 00 00 00    .....??.?...?...
40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
90: 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ?...............
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
e0: 00 00 20 00 44 03 00 00 01 03 00 00 00 00 00 00    .. .D?..??......
f0: 00 00 00 00 41 02 00 00 00 00 00 00 00 20 XX XX    ....A?....... XX
"""

si570_sysclk_33MHz = """
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f    0123456789abcdef
00: 4a 02 32 a1 3d 20 00 27 42 bc 15 ae b0 07 c2 c0    J?2?= .'B???????
10: 00 00 00 07 c2 c0 00 00 00 07 c2 c0 00 00 00 0c    ...???...???...?
20: 51 ff c0 00 00 00 00 00 00 00 00 00 00 00 00 00    Q.?.............
30: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
80: 20 75 ba 78 30 83 03 00 10 08 00 00 00 00 02 bc     u?x0??.??....??
90: 15 ae b0 00 00 00 62 00 00 00 00 00 00 00 00 00    ???...b.........
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
"""

si570_100MHz = """
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f    0123456789abcdef
00: 4f 02 32 a1 3d 20 00 22 42 bc 5c 36 2e 07 c2 c0    O?2?= ."B?\6.???
10: 00 00 00 07 c2 c0 00 00 00 07 c2 c0 00 00 00 0c    ...???...???...?
20: 44 ff 90 00 00 0e 99 00 00 00 00 00 00 00 00 00    D.?..??.........
30: 00 00 00 0b 32 1c 00 00 00 00 00 00 00 00 00 00    ...?2?..........
40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
80: 20 56 df 58 e1 83 03 00 10 08 00 00 00 00 02 bc     V?X???.??....??
90: 5c 36 2e 00 00 00 62 00 00 00 00 00 00 00 00 00    \6....b.........
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
"""

si570_dram_clk_200MHz = """
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f    0123456789abcdef
00: 4f 02 32 a1 3d 20 00 60 c3 10 00 db 08 07 c2 c0    O?2?= .`??.?????
10: 00 00 00 07 c2 c0 00 00 00 07 c2 c0 00 00 00 0c    ...???...???...?
20: 95 04 60 00 00 0e d3 00 00 00 00 00 00 00 00 00    ??`..??.........
30: 00 00 00 09 14 0a 00 00 00 00 00 00 00 00 00 00    ...???..........
40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
80: 20 7e d8 80 c2 81 03 00 10 08 00 00 00 00 03 10     ~?????.??....??
90: 00 db 08 00 00 00 62 00 00 00 00 00 00 00 00 00    .??...b.........
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
"""